<?php
function FT_OP_update()
{
	$settings = get_option('ft_op');
	$settings['id'] = 'ft_' . FT_scope::tool()->optionsName;
	update_option('ft_op', $settings);
}

function FT_OP_options()
{
	
	// Test data
	$test_array = array("1" => "Tutorials","2" => "Posts");
	
	// Multicheck Array
	$multicheck_array = array("one" => "French Toast", "two" => "Pancake", "three" => "Omelette", "four" => "Crepe", "five" => "Waffle");
	
	// Multicheck Defaults
	$multicheck_defaults = array("one" => "1","five" => "1");
	
	// Background Defaults
	
	$background_defaults = array('color' => '', 'image' => '', 'repeat' => 'repeat','position' => 'top center','attachment'=>'scroll');
	
	
	// Pull all the categories into an array
	$options_categories = array();  
	$options_categories_obj = get_categories();
	foreach ($options_categories_obj as $category) {
    	$options_categories[$category->cat_ID] = $category->cat_name;
	}
	
	// Pull all the pages into an array
	$options_pages = array();  
	$options_pages_obj = get_pages('sort_column=post_parent,menu_order');
	$options_pages[''] = 'Select a page:';
	foreach ($options_pages_obj as $page) {
    	$options_pages[$page->ID] = $page->post_title;
	}
		
	// If using image radio buttons, define a directory path
	$imagepath =  get_bloginfo('stylesheet_directory') . '/images/';
		
	$options = array();
	
	
	$options[] = array( "name" => "General",
						"type" => "heading");	


	$options[] = array( "name" => "Site intro title",
						"desc" => "Give a title for your site intro",
						"id" => "fabthemes_intro_title",
						"std" => "",
						"type" => "text");							
					
	$options[] = array( "name" => "Site intro text",
						"desc" => "Your site intro text",
						"id" => "fabthemes_intro_text",
						"std" => "intro text goes here",
						"type" => "textarea"); 										
	
		
	$options[] = array( "name" => "Blog posts on homepage",
						"desc" => "Enter the number of posts to be shown on homepage carousel",
						"id" => "fabthemes_blog_number",
						"std" => "",
						"type" => "text");	
						
						
	$options[] = array( "name" => "Twitter name",
						"desc" => "Enter the twitter name",
						"id" => "fabthemes_twitr",
						"std" => "",
						"type" => "text");							
						
						
	$options[] = array( "name" => "Header banner image",
						"desc" => "Enter your 468 x 60 banner image url here..",
						"id" => "fabthemes_head_banner",
						"std" => "",
						"type" => "text");		
						
	$options[] = array( "name" => "Header banner link",
						"desc" => "Enter your banner link.",
						"id" => "fabthemes_head_link",
						"std" => "",
						"type" => "text");		


	$options[] = array( "name" => "Slider",
						"type" => "heading");	
						
						
	$options[] = array( "name" => "Slider Category",
						"desc" => "Select a category for the image slider",
						"id" => "fabthemes_slide_categories",
						"type" => "select",
						"options" => $options_categories);						
						
	$options[] = array( "name" => "Number of slides",
						"desc" => "Enter the number of slides",
						"id" => "fabthemes_slide_number",
						"std" => "",
						"type" => "text");							
						

						

	if (file_exists(dirname(__FILE__) . '/FT/options/banners.php'))
			include ('FT/options/banners.php');

	if (file_exists(dirname(__FILE__) . '/FT/options/colors.php'))
			include ('FT/options/colors.php');

	if (file_exists(dirname(__FILE__) . '/FT/options/common.php'))
			include ('FT/options/common.php');

	return $options;
}